EDIT - feature request #7899

enable orthographic name correction in Vaadin
11/09/2018 10:56 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Subject: validly published names are in (up to) 10% not correctly formed according to the rules of the ICN. Such names "are to be
corrected", that means, they are wrongly published but in every publication the name has to be changed.

Published: Mastogloia wulffii

To be corrected to: Mastogloia wulffiae

[In print publications names would be used as "Mastogloia wulffii" or "Mastogloia wulffiae" or "Mastogloia 'wulffii'wulffiae"]

PhycoBank could copy most elements of validation for Vaadin.

Insert field with clickbox "with orthographic validation"

Analoguous to the Validation part of the form, a correction part is opened

Instead of "Validation" it is called "Orthographic correction”

Instead of "Validated name" it is called "orthraphical corrected name"

Namefield stays, Reference [to select ICN] stays, Reference detail stays, Rule considered stays.

Main differences:

(i) the corrected name is already valid in contrast to the validated name Ref. & Ref.Detail is the same

(iii) The name relation is not validation, but "has orthograph variant", the corrected name is "original spelling" (orthographic variant)
for the first one. Correct name relation according to ICN and CDM to be discussed.

Advantages: Name correction is no formal act, is no registration by its own. If (a) a name was published with an orthographic error
AND (b) it was published in PDF or online with http Identifier, it is directly linkted to the record wich includes both names. There is a
justification of the name change.

Disadvantages: An additional Field/check box makes the system more complicated, it is not self-explaining.
Name editor
Reqgistration Edit taxon name

Rank
Species n With basionym
With replaced synonym
Validation
Genus

Abas

Specific epithet

cerolinensis

Momenclatural reference

A. Braun in Abh. Kinigl. Akad. Wiss. Berlin 1858. 1857
Reference detail
22

Validatizi

ValiZared name
Abas cerolinensis T.Abe
Reference Reference detail

Turland, N.J., Wiersema, J.H., Barrie, F.R. & al., International Code of Nomer 22

Rule considered

Art. 33.3

Editorial notes

Further improvements in answer to the problems pointed out in comment 7 and before (#7899#note-7):

® in the Editor for incorrect names: h|de disable the option "Orthographlc correctlon" - DONE

rejected, see comment #13
Exclude all names which are fromNamein name relations with the type ORTHOGRAPHIC_VARIANT. from all comboboxes
except the one in the Orthographic correction field

Related issues:
Related to EDIT - task #7960: Revision of NameRelationshipTypes
https://dev.e-taxonomy.eu/redmine/issues/7899#note-7

Related to EDIT - task #7961: Consider removal of the TaxonNamePopupEditorMod... New

Associated revisions

Revision €5237e50 - 12/10/2018 01:24 PM - Andreas Kohlbecker

fix #7899 orthographic variant and corrections implemented in taxon name popup editor

Revision ade5ai3e - 12/10/2018 01:55 PM - Andreas Kohlbecker

ref #7899 adding new name as orthographic correction with correct bean instantiator

Revision 4bae0768 - 12/10/2018 02:43 PM - Andreas Kohlbecker

ref #7899 validator for orthographic correction

Revision aaa63dad - 12/10/2018 02:49 PM - Andreas Kohlbecker

ref #7899 updating nameRelationField with newly created corrected name

Revision 61b6cede - 12/11/2018 10:43 AM - Andreas Kohlbecker

fix #7899 changing corrected name label to "Incorrect name"

Revision 068197fd - 12/14/2018 09:56 PM - Andreas Kohlbecker
ref #7899 adding MarkerType 'Incorrect name'

Revision 775¢c87a6 - 12/14/2018 10:18 PM - Andreas Kohlbecker
ref #7899 starting 'Incorrect name' editor without mode VALIDATE_AGAINST_HIGHER_NAME_PART and hiding 'Ortographic correction' toggle

Revision 3bf04fal - 12/19/2018 03:23 PM - Andreas Kohlbecker

ref #7899 excluding 'incorrect' names from name comboboxes by fitering by NameRelationshipType

Revision 8d8da57a - 02/21/2019 12:40 PM - Andreas Kohlbecker

ref #8117 commenting orthographic corrected names filter to prevent from unclear performance probelms, see ref #7899

Revision b599ad36 - 02/21/2019 04:46 PM - Andreas Kohlbecker

ref #8117 commenting orthographic corrected names filter to prevent from unclear performance probelms, see ref #7899

History

#1 - 11/09/2018 11:10 AM - Wolf-Henning Kusber

Note: The term "orthographic variant" is to broad for our case, because it includes also variants in different publications.

#2 - 11/14/2018 06:37 PM - Wolf-Henning Kusber

Im Vergleich zu meinem Vorschlag habe ich zu Mastogloia wulffii im TaxEditor Mastogloia wulffiae neu angelegt, dieselben Autoren neu ausgewahlt,
dieselbe Referenz neu ausgewéhlt, dieselben RefDetails eingegeben, fir Mastogloia wulffii Name Relationship= is original spelling for Mastogloia
wulffiae angelegt und Rule Considered sowie Reference ausgewahlt. Das ist deutlich aufwéndiger als der oben genannte Vorschlag.

#3 - 12/04/2018 11:15 AM - Andreas Kohlbecker

- Description updated

#4 - 12/10/2018 01:26 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|e5237e50ef5bcd241d14a3667ca23ac46aec2b71.

#5 - 12/10/2018 01:33 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- Target version changed from Unassigned CDM tickets to Release 5.5

please review once test server is updated.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/e5237e50ef5bcd241d14a3667ca23ac46aec2b71

#6 - 12/10/2018 07:05 PM - Wolf-Henning Kusber
- File picture294-1.png added
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70

Forms and functionality implemented as discussed.
Working with orthographic variants reveals an error in the specification:

Label "Corrected name" is not clear because the correct name is not labelled as correct name. To make clear that the "Corrected name" is not itself

corrected but was the original spelling to be corrected it should be called "Incorrect name" (see screen shot). That makes sense with regard to the
respective article of the ICN.

B

Reqgistration Edit taxon name

Rank

With basionym With replaced synonym Validati Orthographic correction

Genus

Achnanthes

Spe pithet
juettnerae

Momenclatural reference

Kusber, W.-H. Testreferenz zu crthographischen Korrekturen in Fott

: detal

Orthographic correction

Correctea name
Achnanthes jittnerae Kusber
Reference Reference detail

ema, J.H., Barrie, F.R. & al., International C

#7 - 12/10/2018 07:24 PM - Wolf-Henning Kusber

The normal usecase "new epithet incorrectly published" to be corrected according to ICN works well.

But problems accur if a incorrect spelling is given for a listed genus or species name. To put in a erroneously spelled genus, published in the context
of an epithet, | have to register a "new" genus name with a reference.

http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/9d80da69-2098-42a7-8cb8-be4fff0ecc59
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/9d80da69-2098-42a7-8cb8-be4fff0ecc59

eu.etaxonomy.vaadin.mvp.PopupEditorException: Error saving popup editor - context [user=w.h.kusber] :Edit registration (TypedEntityReference:
Registration#null) > New taxon name (TaxonNameDTO: TaxonName#0)

#8 - 12/10/2018 07:37 PM - Wolf-Henning Kusber
- File picture267-1.png added
- File picture267-2.png added

To handle an erroneously spelled genus name, | had to register the uncorrect spelled genus name. A workaround could be to reject this entry?

Name: Meloseira Kusber

Name:

Name: Meloseira vulga

Name: Melosir:

#9 - 12/11/2018 10:43 AM - Andreas Kohlbecker
- % Done changed from 70 to 50

Applied in changeset cdm-vaadin|61b6ce4e6afcc2de48e66b2{8df68d30c799calc.

#10 - 12/11/2018 11:59 AM - Wolf-Henning Kusber

incorrect uninominals and epithets should only be searchable in the "incorrect name" section. Example is genus=Meloseira (see screen shots)

#11 - 12/11/2018 05:13 PM - Andreas Kohlbecker
- Description updated

We discussed the above problems and came to a solution ... issue description updated accordingly

#12 - 12/14/2018 10:16 PM - Andreas Kohlbecker
- Description updated

#13 - 12/14/2018 10:20 PM - Andreas Kohlbecker
- Description updated

#14 - 12/19/2018 03:20 PM - Andreas Kohlbecker
- Description updated

- Status changed from Resolved to In Progress

After a discussion with Andreas Mdiller, the improved concept from 2018-12-11 has been revised and changed again:
1. Instead of using a marker the incorrect name should only be recognized through the name relation with a specific type in which it is being used.

2. The appropriate type of the NameReationship is currently being dicussed neither NameRelationshipType.ORTHOGRAPHIC_VARIANT() nor
NameRelationshipType.MISSPELLING() seem to semantically 100% suitable.

#15 - 12/19/2018 05:00 PM - Andreas Kohlbecker
- Description updated

according to the latest discussion, which is based on research in the ICBN, we came to the conclusion that ORTHOGRAPHIC_VARIANT is the
correct type to be used. The from name is always a name to be corrected and is to be considered invalid. There are rare cases where two slightly
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/61b6ce4e6afcc2de48e66b2f8df68d30c799ca3c

different notation for the same name exist but these differences are nomenclatural irrelevant and never are subject of a name relationship. These
minor orthographic differences are corrected silently. For more details on this subject please refer to #7960

#16 - 12/19/2018 05:00 PM - Andreas Kohlbecker
- Related to task #7960: Revision of NameRelationshipTypes added

#17 - 12/19/2018 05:01 PM - Andreas Kohlbecker

- Description updated

#18 - 12/19/2018 05:08 PM - Andreas Kohlbecker
- Related to task #7961: Consider removal of the TaxonNamePopupEditorMode ORTHOGRAPHIC_CORRECTION added

#19 - 12/19/2018 05:10 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#20 - 12/19/2018 05:36 PM - Wolf-Henning Kusber

Comment on #15

according to the latest discussion, which is based on research in the ICBN, we came to the conclusion that ORTHOGRAPHIC_VARIANT is the
correct type to be used. The from name is always a name to be corrected and is to be considered valid but incorrect.

#21 - 12/19/2018 06:44 PM - Wolf-Henning Kusber
- File picture110-1.png added

label: what about the following label wording?

header: orthographical variant
above the cache: incorrect name (= as is)
https://dev.e-taxonomy.eu/redmine/issues/7960

ion Edit taxon name

With basionym With replaced synonym

Genus

Achnanthes

fic epithet

kohlpeckeri

MNomenclatural reference

Kusber, W.-H., Testreferenz zu orthographischen Korrekturen in Fott

Referance detail

Orthographi wrection

Incorrect name

Achnanthes koolbeckeri Kusber

Reference

Turland, N.J., ema, J.H., Barrie, F.R. & al., International C
Rule ¢

Art. 80

#22 - 01/23/2019 06:10 PM - Wolf-Henning Kusber

WGB: besser ,Orthographical correction of”

Validation Orthographic correction

Reference detail

WHK: den im Screenshot oben vorgeschlagen Text ,Orthographical variant” wirde ich WGBs Vorschlag gegentber vorziehen.

Kann gerne noch mal diskutiert werden

#23 - 01/23/2019 06:30 PM - Wolf-Henning Kusber
related issue #8014

#24 - 01/29/2019 06:49 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Implementation is clear, functional, and usable.

Note: "Orthographical variant" not shown.

Files

OrthographicNameCorrection.PNG 63.8 KB 11/09/2018 Wolf-Henning Kusber

picture294-1.png 44.8 KB 12/10/2018 Wolf-Henning Kusber

picture267-1.png 34.3 KB 12/10/2018 Wolf-Henning Kusber
https://dev.e-taxonomy.eu/redmine/issues/8014

picture267-2.png 49.1 KB 12/10/2018 Wolf-Henning Kusber
picture110-1.png 42.3 KB 12/19/2018 Wolf-Henning Kusber
